Class | DL::Importable::Internal::Union
In: | dl/lib/dl/struct.rb
Parent: | Struct

### Methods

new

### Public Instance methods

new()

[Source]

    # File dl/lib/dl/struct.rb, line 140
            def new
              ptr = DL::malloc(@size)
              ptr.union!(@tys, *@names)
              mem = Memory.new(ptr, @names, @ty, @len, @enc, @dec)
              return mem
            end

[Validate]